From: Sasha Levin <sashal@kernel.org>
To: linux-kernel@vger.kernel.org, stable@vger.kernel.org
Cc: Jeffrin Jose T <jeffrin@rajagiritech.edu.in>,
Florian Westphal <fw@strlen.de>,
Pablo Neira Ayuso <pablo@netfilter.org>,
Sasha Levin <sashal@kernel.org>,
linux-kselftest@vger.kernel.org
Subject: [PATCH AUTOSEL 4.14 05/31] selftests: netfilter: missing error check when setting up veth interface
Date: Sat, 8 Jun 2019 07:46:16 -0400 [thread overview]
Message-ID: <20190608114646.9415-5-sashal@kernel.org> (raw)
In-Reply-To: <20190608114646.9415-1-sashal@kernel.org>
From: Jeffrin Jose T <jeffrin@rajagiritech.edu.in>
[ Upstream commit 82ce6eb1dd13fd12e449b2ee2c2ec051e6f52c43 ]
A test for the basic NAT functionality uses ip command which needs veth
device. There is a condition where the kernel support for veth is not
compiled into the kernel and the test script breaks. This patch contains
code for reasonable error display and correct code exit.
Signed-off-by: Jeffrin Jose T <jeffrin@rajagiritech.edu.in>
Acked-by: Florian Westphal <fw@strlen.de>
Signed-off-by: Pablo Neira Ayuso <pablo@netfilter.org>
Signed-off-by: Sasha Levin <sashal@kernel.org>
---
tools/testing/selftests/netfilter/nft_nat.sh | 6 +++++-
1 file changed, 5 insertions(+), 1 deletion(-)
diff --git a/tools/testing/selftests/netfilter/nft_nat.sh b/tools/testing/selftests/netfilter/nft_nat.sh
index 8ec76681605c..f25f72a75cf3 100755
--- a/tools/testing/selftests/netfilter/nft_nat.sh
+++ b/tools/testing/selftests/netfilter/nft_nat.sh
@@ -23,7 +23,11 @@ ip netns add ns0
ip netns add ns1
ip netns add ns2
-ip link add veth0 netns ns0 type veth peer name eth0 netns ns1
+ip link add veth0 netns ns0 type veth peer name eth0 netns ns1 > /dev/null 2>&1
+if [ $? -ne 0 ];then
+ echo "SKIP: No virtual ethernet pair device support in kernel"
+ exit $ksft_skip
+fi
ip link add veth1 netns ns0 type veth peer name eth0 netns ns2
ip -net ns0 link set lo up
--
2.20.1
next prev parent reply other threads:[~2019-06-08 11:47 UTC|newest]
Thread overview: 33+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-06-08 11:46 [PATCH AUTOSEL 4.14 01/31] Staging: vc04_services: Fix a couple error codes Sasha Levin
2019-06-08 11:46 ` [PATCH AUTOSEL 4.14 02/31] perf/x86/intel/ds: Fix EVENT vs. UEVENT PEBS constraints Sasha Levin
2019-06-08 11:46 ` [PATCH AUTOSEL 4.14 03/31] netfilter: nf_queue: fix reinject verdict handling Sasha Levin
2019-06-08 11:46 ` [PATCH AUTOSEL 4.14 04/31] ipvs: Fix use-after-free in ip_vs_in Sasha Levin
2019-06-08 11:46 ` Sasha Levin [this message]
2019-06-08 11:46 ` [PATCH AUTOSEL 4.14 06/31] clk: ti: clkctrl: Fix clkdm_clk handling Sasha Levin
2019-06-08 11:46 ` [PATCH AUTOSEL 4.14 07/31] powerpc/powernv: Return for invalid IMC domain Sasha Levin
2019-06-08 11:46 ` [PATCH AUTOSEL 4.14 08/31] mISDN: make sure device name is NUL terminated Sasha Levin
2019-06-08 11:46 ` [PATCH AUTOSEL 4.14 09/31] x86/CPU/AMD: Don't force the CPB cap when running under a hypervisor Sasha Levin
2019-06-08 11:46 ` [PATCH AUTOSEL 4.14 10/31] perf/ring_buffer: Fix exposing a temporarily decreased data_head Sasha Levin
2019-06-08 11:46 ` [PATCH AUTOSEL 4.14 11/31] perf/ring_buffer: Add ordering to rb->nest increment Sasha Levin
2019-06-08 11:46 ` [PATCH AUTOSEL 4.14 12/31] perf/ring-buffer: Always use {READ,WRITE}_ONCE() for rb->user_page data Sasha Levin
2019-06-08 11:46 ` [PATCH AUTOSEL 4.14 13/31] gpio: fix gpio-adp5588 build errors Sasha Levin
2019-06-08 11:46 ` [PATCH AUTOSEL 4.14 14/31] net: tulip: de4x5: Drop redundant MODULE_DEVICE_TABLE() Sasha Levin
2019-06-08 11:46 ` [PATCH AUTOSEL 4.14 15/31] PCI: PM: Avoid possible suspend-to-idle issue Sasha Levin
2019-06-11 15:25 ` Rafael J. Wysocki
2019-06-19 21:01 ` Sasha Levin
2019-06-08 11:46 ` [PATCH AUTOSEL 4.14 16/31] net: aquantia: fix LRO with FCS error Sasha Levin
2019-06-08 11:46 ` [PATCH AUTOSEL 4.14 17/31] i2c: dev: fix potential memory leak in i2cdev_ioctl_rdwr Sasha Levin
2019-06-08 11:46 ` [PATCH AUTOSEL 4.14 18/31] ALSA: hda - Force polling mode on CNL for fixing codec communication Sasha Levin
2019-06-08 11:46 ` [PATCH AUTOSEL 4.14 19/31] configfs: Fix use-after-free when accessing sd->s_dentry Sasha Levin
2019-06-08 11:46 ` [PATCH AUTOSEL 4.14 20/31] perf data: Fix 'strncat may truncate' build failure with recent gcc Sasha Levin
2019-06-08 11:46 ` [PATCH AUTOSEL 4.14 21/31] perf record: Fix s390 missing module symbol and warning for non-root users Sasha Levin
2019-06-08 11:46 ` [PATCH AUTOSEL 4.14 22/31] ia64: fix build errors by exporting paddr_to_nid() Sasha Levin
2019-06-08 11:46 ` [PATCH AUTOSEL 4.14 23/31] KVM: PPC: Book3S: Use new mutex to synchronize access to rtas token list Sasha Levin
2019-06-08 11:46 ` [PATCH AUTOSEL 4.14 24/31] KVM: PPC: Book3S HV: Don't take kvm->lock around kvm_for_each_vcpu Sasha Levin
2019-06-08 11:46 ` [PATCH AUTOSEL 4.14 25/31] net: sh_eth: fix mdio access in sh_eth_close() for R-Car Gen2 and RZ/A1 SoCs Sasha Levin
2019-06-08 11:46 ` [PATCH AUTOSEL 4.14 26/31] net: phy: dp83867: Set up RGMII TX delay Sasha Levin
2019-06-08 11:46 ` [PATCH AUTOSEL 4.14 27/31] scsi: libcxgbi: add a check for NULL pointer in cxgbi_check_route() Sasha Levin
2019-06-08 11:46 ` [PATCH AUTOSEL 4.14 28/31] scsi: smartpqi: properly set both the DMA mask and the coherent DMA mask Sasha Levin
2019-06-08 11:46 ` [PATCH AUTOSEL 4.14 29/31] scsi: scsi_dh_alua: Fix possible null-ptr-deref Sasha Levin
2019-06-08 11:46 ` [PATCH AUTOSEL 4.14 30/31] scsi: libsas: delete sas port if expander discover failed Sasha Levin
2019-06-08 11:46 ` [PATCH AUTOSEL 4.14 31/31] mlxsw: spectrum: Prevent force of 56G Sasha Levin
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20190608114646.9415-5-sashal@kernel.org \
--to=sashal@kernel.org \
--cc=fw@strlen.de \
--cc=jeffrin@rajagiritech.edu.in \
--cc=linux-kernel@vger.kernel.org \
--cc=linux-kselftest@vger.kernel.org \
--cc=pablo@netfilter.org \
--cc=stable@vger.kernel.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox